import {
  Entity,
  PrimaryGeneratedColumn,
  Column,
  JoinTable,
  ManyToMany,
} from 'typeorm';
import { ZoneEntity } from './zone.entity';

@Entity()
export class IcynetActorEntity {
  @PrimaryGeneratedColumn()
  id: number;

  @Column({ nullable: true })
  icynetUUID?: string;

  @ManyToMany(() => ZoneEntity)
  @JoinTable()
  zones: ZoneEntity[];
}
