import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { AccessEntity } from './access.entity';
import { IcynetActorEntity } from './icynet.entity';
import { ManagerService } from './manager.service';
import { ZoneEntity } from './zone.entity';

@Module({
  imports: [
    TypeOrmModule.forFeature([AccessEntity, ZoneEntity, IcynetActorEntity]),
  ],
  providers: [ManagerService],
  exports: [ManagerService],
})
export class ManagerModule {}
