export enum DNSRecordType {
  A = 'A',
  AAAA = 'AAAA',
  AFSDB = 'AFSDB',
  APL = 'APL',
  CAA = 'CAA',
  CDNSKEY = 'CDNSKEY',
  CDS = 'CDS',
  CERT = 'CERT',
  CNAME = 'CNAME',
  CSYNC = 'CSYNC',
  DHCID = 'DHCID',
  DLV = 'DLV',
  DNAME = 'DNAME',
  DNSKEY = 'DNSKEY',
  DS = 'DS',
  EUI48 = 'EUI48',
  EUI64 = 'EUI64',
  HINFO = 'HINFO',
  IPSECKEY = 'IPSECKEY',
  KEY = 'KEY',
  KX = 'KX',
  LOC = 'LOC',
  MX = 'MX',
  NAPTR = 'NAPTR',
  NS = 'NS',
  NSEC = 'NSEC',
  NSEC3 = 'NSEC3',
  NSEC3PARAM = 'NSEC3PARAM',
  OPENPGPKEY = 'OPENPGPKEY',
  PTR = 'PTR',
  RRSIG = 'RRSIG',
  RP = 'RP',
  SIG = 'SIG',
  SMIMEA = 'SMIMEA',
  SOA = 'SOA',
  SRV = 'SRV',
  SSHFP = 'SSHFP',
  TA = 'TA',
  TKEY = 'TKEY',
  TLSA = 'TLSA',
  TSIG = 'TSIG',
  TXT = 'TXT',
  URI = 'URI',
  ZONEMD = 'ZONEMD',
  SVCB = 'SVCB',
  HTTPS = 'HTTPS',
  AXFR = 'AXFR',
  IXFR = 'IXFR',
  OPT = 'OPT',
  Wildcard = '*',
}
