import { ApiProperty } from '@nestjs/swagger';
import { DNSRecordType } from '../dns.enum';

export class UpdateRecordDataDto {
  @ApiProperty({ required: true })
  index: number;

  @ApiProperty({ required: false })
  name?: string;

  @ApiProperty({ required: false, type: 'string' })
  type?: DNSRecordType;

  @ApiProperty({ required: false })
  value?: string;

  @ApiProperty({ required: false })
  setIndex?: number;

  @ApiProperty({ required: false })
  forDeletion?: boolean;
}

export class UpdateRecordDto {
  @ApiProperty({ required: true })
  record: UpdateRecordDataDto | UpdateRecordDataDto[];
}
